# Update a tenant Updates a tenant. Endpoint: PUT /v4/orchestration/config/tenant/{tenantId} Version: 4.0.0 Security: Bearer ## Path parameters: - `tenantId` (string, required) Tenant ID of the tenant. ## Request fields (application/json): - `callback_enabled` (boolean) Flag to denote whether callback is enabled for this tenant. - `callback_url` (string) URL to be invoked for callback for this tenant. Mandatory if callback_enabled is true. - `xcurrent_connection_timeout` (integer) Timeout, in milliseconds, to obtain a connection with RippleNet for this tenant. - `xcurrent_socket_timeout` (integer) Timeout, in milliseconds, to obtain a response for a RippleNet API operation for this tenant. - `xcurrent_url` (string) URL of the RippleNet (RN node) system to which orchestration service connects. ## Response 201 fields (application/json): - `tenant_id` (string) Tenant ID of the tenant. Example: "urn:ripplexcurrent-prod:name" - `callback_enabled` (boolean) Flag to denote whether callback is enabled for this tenant. - `callback_url` (string) URL to be invoked for callback for this tenant. Mandatory if callback_enabled is true. - `xcurrent_client_id` (string) Client ID for connecting to RippleNet for this tenant. Mandatory if credentials have to be managed locally. - `xcurrent_password` (string) Password for connecting to RippleNet for this tenant. Mandatory if credentials have to be managed locally. - `xcurrent_connection_timeout` (integer) Timeout, in milliseconds, to obtain a connection with RippleNet for this tenant. - `xcurrent_socket_timeout` (integer) Timeout, in milliseconds, to obtain a response for a RippleNet API operation for this tenant. - `xcurrent_url` (string) URL of the RippleNet (RN node) system to which orchestration service connects.